=== debian/changelog ===
ros-iron-rqt-gui-cpp (1.3.3-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 18 May 2023 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.3.2-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.3.1-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 23 Feb 2023 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.3.0-1jammy) jammy; urgency=high

  * Update rqt to C++17. (#285 <https://github.com/ros-visualization/rqt/issues/285>)
  * [rolling] Update maintainers - 2022-11-07 (#283 <https://github.com/ros-visualization/rqt/issues/283>)
  * Contributors: Audrow Nash, Chris Lalancette, Dharini Dutia, quarkytale

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.2.0-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.1.3-1jammy) jammy; urgency=high

  * Install includes to include${PROJECT_NAME} (#258 <https://github.com/ros-visualization/rqt/issues/258>)
  * Contributors: Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.1.2-1jammy) jammy; urgency=high

  * Declare dependency to pluginlib (#251 <https://github.com/ros-visualization/rqt/issues/251>)
  * Contributors: Chris Lalancette

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 30 Aug 2021 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.1.1-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 11 Apr 2021 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.1.0-1jammy) jammy; urgency=high

  * use tgt compile features (#247 <https://github.com/ros-visualization/rqt/issues/247>)
  * Contributors: Audrow Nash

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 06 Apr 2021 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.0.7-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 04 Feb 2021 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.0.6-1jammy) jammy; urgency=high

  * avoid new deprecations (#225 <https://github.com/ros-visualization/rqt/issues/225>)
  * replace deprecated usage of rclcpp::is_initialized() (#215 <https://github.com/ros-visualization/rqt/issues/215>)
  * Contributors: Jacob Perron, William Woodall

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 04 May 2020 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.0.5-1jammy) jammy; urgency=high

  * drop unnecessary MOC compilation (#203 <https://github.com/ros-visualization/rqt/issues/203>)

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 29 Sep 2019 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.0.2-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 03 Feb 2019 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.0.1-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 11 Dec 2018 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.0.0-1jammy) jammy; urgency=high

  * skip rqt_gui_cpp on Windows (#177 <https://github.com/ros-visualization/rqt/issues/177>)
  * use non-deprecated header (#173 <https://github.com/ros-visualization/rqt/issues/173>)
  * port rqt_gui_cpp to ROS 2 (#163 <https://github.com/ros-visualization/rqt/issues/163>)
  * address feedback on the rqt_py_common port (#155 <https://github.com/ros-visualization/rqt/issues/155>)
  * ignore unported packages (#157 <https://github.com/ros-visualization/rqt/issues/157>)
  * style changes (#143 <https://github.com/ros-visualization/rqt/issues/143>)

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 10 Dec 2018 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.5.0-1jammy) jammy; urgency=high

  * version bump to match version of migrated package rqt_py_common

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 23 Apr 2017 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.3.2-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 23 Jan 2017 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.3.1-1jammy) jammy; urgency=high

  * add missing build dependency

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 31 Mar 2016 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.3.0-1jammy) jammy; urgency=high

  * switch to Qt5 (#106 <https://github.com/ros-visualization/rqt/pull/106>)

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 31 Mar 2016 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.2.14-1jammy) jammy; urgency=high

  * add ros spinner thread for cpp plugins (#95 <https://github.com/ros-visualization/rqt/issues/95>)

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 03 Mar 2014 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.2.13-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 07 Jan 2014 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.2.12-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 08 Oct 2013 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.2.11-1jammy) jammy; urgency=high

  * fix wait for master for cpp plugins (ros-visualization/rqt_common_plugins#173 <https://github.com/ros-visualization/rqt_common_plugins/issues/173>)
  * detect master with background thread (ros-visualization/rqt_common_plugins#169 <https://github.com/ros-visualization/rqt_common_plugins/issues/169>)

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 05 Sep 2013 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.2.10-1jammy) jammy; urgency=high

  * check for master before loading a plugin and ask the user if not found (#67 <https://github.com/ros-visualization/rqt/issues/67>)

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 20 Aug 2013 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.2.9-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 05 Jun 2013 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.2.8-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 10 Jan 2013 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.2.7-1jammy) jammy; urgency=high

  * first public release for Groovy


