=== debian/control ===
Source: ros-iron-rqt-gui-cpp
Section: misc
Priority: optional
Maintainer: Dharini Dutia <dharini@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-iron-ament-cmake, ros-iron-pluginlib, ros-iron-qt-gui (>= 0.3.0), ros-iron-qt-gui-cpp (>= 0.3.0), ros-iron-rclcpp, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/rqt_gui_cpp
Standards-Version: 3.9.2

Package: ros-iron-rqt-gui-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-pluginlib, ros-iron-qt-gui (>= 0.3.0), ros-iron-qt-gui-cpp (>= 0.3.0), ros-iron-rclcpp, ros-iron-ros-workspace
Description: rqt_gui_cpp enables GUI plugins to use the C++ client library for ROS.
